For the complete documentation index, see llms.txt. This page is also available as Markdown.

Credential Issuance APIs

Credential claim API

post
Authorizations
TokenstringRequired
Body
credentialSchemaIdstringOptional
tagsstring[]Optional
Responses
201

Credential successfully issued!

application/json
credentialSchemaIdstringOptional
tagsstring[]Optional
createdAtstringOptional
updatedAtstringOptional
createdBystringOptional
updatedBystringOptional
post/credentials/issue
POST /api/v1/credentials/issue HTTP/1.1
Host: sunbirdrc.dev
Token: YOUR_API_KEY
Content-Type: appliation/json
Accept: */*
Content-Length: 226

{
  "credential": {
    "context": [
      "text"
    ],
    "id": "text",
    "type": "text",
    "issuer": {},
    "issuanceDate": "2026-01-01T00:00:00.000Z",
    "expirationDate": "2026-01-01T00:00:00.000Z",
    "credentialSubject": {}
  },
  "credentialSchemaId": "text",
  "tags": [
    "text"
  ]
}
{
  "credential": {
    "context": [
      "text"
    ],
    "id": "text",
    "type": "text",
    "issuer": {},
    "issuanceDate": "2026-01-01T00:00:00.000Z",
    "expirationDate": "2026-01-01T00:00:00.000Z",
    "credentialSubject": {},
    "proof": {
      "type": "text",
      "created": "text",
      "challenge": "text",
      "domain": "text",
      "nonce": "text",
      "verificationMethod": "text",
      "proofPurpose": "text",
      "jws": "text",
      "proofValue": "text"
    }
  },
  "credentialSchemaId": "text",
  "tags": [
    "text"
  ],
  "createdAt": "text",
  "updatedAt": "text",
  "createdBy": "text",
  "updatedBy": "text"
}

Get credentials by id

get
Authorizations
TokenstringRequired
Path parameters
idstringRequired
Header parameters
templateIdstringOptional
acceptstring · enumRequiredPossible values:
Responses
200

OK

appliation/json
contextstring[]Optional
idstringOptional
typestringOptional
issuerobjectOptional
issuanceDatestring · date-timeOptional
expirationDatestring · date-timeOptional
credentialSubjectobjectOptional
get/credentials/{id}
GET /api/v1/credentials/{id} HTTP/1.1
Host: sunbirdrc.dev
Token: YOUR_API_KEY
accept: application/json
Accept: */*
{
  "context": [
    "text"
  ],
  "id": "text",
  "type": "text",
  "issuer": {},
  "issuanceDate": "2026-01-01T00:00:00.000Z",
  "expirationDate": "2026-01-01T00:00:00.000Z",
  "credentialSubject": {},
  "proof": {
    "type": "text",
    "created": "2026-01-01T00:00:00.000Z",
    "challenge": "text",
    "domain": "text",
    "nonce": "text",
    "verificationMethod": "text",
    "proofPurpose": "text",
    "jws": "text",
    "proofValue": "text"
  }
}

Revoke credentials by id

delete
Authorizations
TokenstringRequired
Path parameters
idstringRequired
Responses
200

OK

appliation/json
revocationListIndexstringOptional
delete/credentials/{id}
DELETE /api/v1/credentials/{id} HTTP/1.1
Host: sunbirdrc.dev
Token: YOUR_API_KEY
Accept: */*
{
  "revocationListIndex": "text"
}

Search credentials by issuer and subject

post
Authorizations
TokenstringRequired
Body
typestring · enumOptionalPossible values:
Responses
200

OK

appliation/json
contextstring[]Optional
idstringOptional
typestringOptional
issuerobjectOptional
issuanceDatestring · date-timeOptional
expirationDatestring · date-timeOptional
credentialSubjectobjectOptional
post/credentials/search
POST /api/v1/credentials/search HTTP/1.1
Host: sunbirdrc.dev
Token: YOUR_API_KEY
Content-Type: appliation/json
Accept: */*
Content-Length: 63

{
  "issuer": {
    "id": "text"
  },
  "subject": {
    "id": "text"
  },
  "type": "claim"
}
[
  {
    "context": [
      "text"
    ],
    "id": "text",
    "type": "text",
    "issuer": {},
    "issuanceDate": "2026-01-01T00:00:00.000Z",
    "expirationDate": "2026-01-01T00:00:00.000Z",
    "credentialSubject": {},
    "proof": {
      "type": "text",
      "created": "2026-01-01T00:00:00.000Z",
      "challenge": "text",
      "domain": "text",
      "nonce": "text",
      "verificationMethod": "text",
      "proofPurpose": "text",
      "jws": "text",
      "proofValue": "text"
    }
  }
]

Verifies a verifiableCredential and returns a verificationResult in the response body.

get

Verifies a verifiableCredential and returns a verificationResult in the response body.

Authorizations
TokenstringRequired
Path parameters
idstringRequired
Responses
200

OK

appliation/json
statusstring · enumOptionalPossible values:
warningsstring[]Optional
errorsstring[]Optional
get/credentials/{id}/verify
GET /api/v1/credentials/{id}/verify HTTP/1.1
Host: sunbirdrc.dev
Token: YOUR_API_KEY
Accept: */*
200

OK

{
  "status": "Active",
  "checks": [
    {
      "active": "OK",
      "revoked": "OK",
      "expired": "OK",
      "proof": "OK"
    }
  ],
  "warnings": [
    "text"
  ],
  "errors": [
    "text"
  ]
}

Complete list of revoked credentials (Need to be discussed)

get
Authorizations
TokenstringRequired
Query parameters
issuerIdstringRequired

The ID of the issuer

pagestringRequired

The page number

limitstringRequired

The limit of items per page

Responses
200

OK

appliation/json
object[]Optional
get/credentials/revocation-list
GET /api/v1/credentials/revocation-list?issuerId=text&page=text&limit=text HTTP/1.1
Host: sunbirdrc.dev
Token: YOUR_API_KEY
Accept: */*
[
  {}
]